package com.zjrs.zwnw.rlzysc.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.zwnw.rlzysc.dto.HcQueryDTO;
import com.zjrs.zwnw.rlzysc.dto.ZjQueryDTO;
import com.zjrs.zwnw.rlzysc.po.VRsRlzyHcglPO;

import java.util.List;
import java.util.Map;

@Mapper
public interface VRsRlzyHcglMapper extends BaseMapper<VRsRlzyHcglPO> {
    public Page<Map<String,Object>> getHcglList(Page<Map<String,Object>> page, @Param("dto") HcQueryDTO dto);
    public Map<String,Object> getHcXx(@Param("dto") ZjQueryDTO dto,String userid);
    public Map<String,Object> getHcbh(String date);
    public void updateHcFb(@Param("list")  List<Map<String,Object>> list);
    public void updateHcQxFb(@Param("list") List<Map<String,Object>> list);
}
